#
# (*) TTF fonts are taken from http://www.larabiefonts.com, thus we can redistribute
#
Summary:	OpenGL billard game
Name:		foobillard
Version:	3.0a
Release:	%mkrel 11
License:	GPLv2+
Group:		Games/Sports
URL:		http://foobillard.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/foobillard/FooBillard-Sources/%name-%version.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch1:		foobillard-3.0-really-disable-nvidia.patch
Patch2:		foobillard-3.0-link.patch
Patch3:		foobillard-3.0a-automake-1.13.patch
BuildRequires:	mesaglu-devel
BuildRequires:	freeglut-devel
BuildRequires:	png-devel
BuildRequires:	freetype2-devel
Requires:	pulseaudio-utils

%description
A free OpenGl billard game for linux.

%prep
%setup -q
%patch1 -p1
%patch2 -p0
%patch3 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--enable-glut \
	--enable-nvidia=off
%make

%install
%{makeinstall_std}
%{__install} -m644 %{name}.6 -D %{buildroot}%{_mandir}/man6/%{name}.6


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=FooBillard
Comment=%{summary}
Exec=padsp %{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc README
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mageia-%{name}.desktop
%{_mandir}/man6/%{name}.6*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_gamesbindir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.0a-11.mga3
+ Revision: 350752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 3.0a-10.mga3
+ Revision: 338542
- patch3: fix build with automake 1.13

  + dams <dams>
    - clean specfile

* Mon Nov 21 2011 kharec <kharec> 3.0a-9.mga2
+ Revision: 170662
- fix urls

* Thu Sep 15 2011 fwang <fwang> 3.0a-8.mga2
+ Revision: 143673
- fix linkage
- switch to freeglut

* Fri May 13 2011 dmorgan <dmorgan> 3.0a-7.mga2
+ Revision: 97869
- imported package foobillard

